%define majver %(echo %version | cut -d. -f1-2)

Name:          threadweaver
Version:       5.16.0
Release:       1mamba
Summary:       KDE Frameworks 5 helper for multithreaded programming
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/threadweaver-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
ThreadWeaver is a helper for multithreaded programming.  It uses a job-based interface to queue tasks and execute them in an efficient way.
You simply divide the workload into jobs, state the dependencies between the jobs and ThreadWeaver will work out the most efficient way of dividing the work between threads within a set of resource limits.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5ThreadWeaver.so.*
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/ThreadWeaver
%dir %{_kde5_includedir}/ThreadWeaver/ThreadWeaver
%{_kde5_includedir}/ThreadWeaver/ThreadWeaver/*
%dir %{_kde5_includedir}/ThreadWeaver/threadweaver
%{_kde5_includedir}/ThreadWeaver/threadweaver/*
%{_kde5_includedir}/threadweaver_version.h
%dir %{_kde5_libdir}/cmake/KF5ThreadWeaver
%{_kde5_libdir}/cmake/KF5ThreadWeaver/*.cmake
%{_kde5_libdir}/libKF5ThreadWeaver.so
%{_libdir}/qt5/mkspecs/modules/qt_ThreadWeaver.pri

%changelog
* Sun Nov 22 2015 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Wed Oct 21 2015 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Thu Sep 24 2015 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Wed Sep 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.13.0-1mamba
- update to 5.13.0

* Sun Aug 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.12.0-1mamba
- package created using the webbuild interface
